Last Comment Bug 324645 - <a ping> support should be opt-in, not opt-out, for Gecko-based apps
: <a ping> support should be opt-in, not opt-out, for Gecko-based apps
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Document Navigation (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla1.9alpha1
Assigned To: Darin Fisher
: Adam Lock
Mentors:
Depends on:
Blocks: 319368
  Show dependency treegraph
 
Reported: 2006-01-25 07:23 PST by Boris Zbarsky [:bz] (Out June 25-July 6)
Modified: 2010-07-16 11:21 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
v1 patch (2.28 KB, patch)
2006-02-03 14:51 PST, Darin Fisher
bzbarsky: review+
bzbarsky: superreview+
Details | Diff | Review

Description Boris Zbarsky [:bz] (Out June 25-July 6) 2006-01-25 07:23:05 PST
I think it would make more sense to have the C++ default to false, remove the "true" from all.js, and enable it per-app. This way embeddors won't accidentally ship ping enabled without user-visible UI for it...  Also, this way non-browser Gecko consumers won't be affected.
Comment 1 Darin Fisher 2006-02-03 14:51:01 PST
Created attachment 210645 [details] [diff] [review]
v1 patch

My recent patch to introduce nsIWebBrowserChrome2, also had the effect of disabling <a ping> by default in the code.  I decided to leave the pref defined in all.js so that it would appear in about:config in products where it is not explicitly defined.  Otherwise, this patch just moves the pref to firefox.js, so that it only affects firefox.
Comment 2 Darin Fisher 2006-02-07 10:20:45 PST
fixed-on-trunk

Note You need to log in before you can comment on or make changes to this bug.